
function SheetSwitched (ncount)
     StopSheet=true;
return;end;
local endlevel=false;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function mau()
     playeffect("mau");
return;end;
function gameinput (sender,obj_id,attachedID)

  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender==12 then
  if SLevel==1.0 then return;end;
  if obj_id==123 then
      AddElement("gr",123);
    setcolor(123,0,0,0,0.5,1);
    StopEmiter("zvezd"); 
    StopEmiter("sak"); 
    MoveObjectToTree(123);   
    flags.match=true;
    playeffect("29");
  end;
    if flags.loc3 then
      if flags.loc2 and flags.loc3 then    
         flags.loc3=false;
        flags.levelcomplete=true;
        DarkScreen(true);
        ShowMenu(false)
      return; end;
    CreateWindow(150,250,"199",nil,nil,250,30);  
--playeffect("01");    
    return;end;  
  return;end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
    AddParticleToObject(12,"sak",826,636);
    MoveEmiter("sak",826,636);
    if not flags.minicomplete6 then
      StartEmiter("sak");
    return;end;
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      savegame(SaveLevel());
       --CreateWindow(150,250,"198");             
      ------
    return;end;
  return;end
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
  
      if attachedID == -1 then
      if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          LoadNextLevel()
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;
      
      if obj_id==68 then
        setcurentleaf("barton_zal",15,1);
        SwitchToSheet("re");
        savegame(SaveLevel());
      return; end;

      if obj_id==12 then 
        if (not flags.minicomplete6) then    
          playeffect("29");        
          add_free_leaf("Root","mini6",0,16);-- Добавляет чистый лист
          set_satelite_leaf("oranjereya");
          DoFile(0,16)
          flags.nohints=true;
          if not flags.proideno then
            mini_create();
          return; end;
        return; end;
      return; end;
      -- if obj_id==12 then  -- игра саквояж  
      -- if (not flags.slepok) then  -- игра саквояж        
        -- for i=61,64,1 do
          -- speciale_action(2,i,true)
        -- end;
      -- return; end;  
      -- return; end;
      -- if obj_id==61 then  -- игра саквояж
        -- collaps_obj(123,0,0,10,1);
        -- AddElement("gr",123);
        -- SetAlfaSheet(2.5)
        -- setcolor(123,0,0,0,0.5,1);
        -- MoveObjectToTree(123);
        -- flags.impression=true;
        -- Set_Cursor(12,3);
        
        -- for i=61,64,1 do
          -- speciale_action(2,i,true)
        -- end;  
      -- flags.slepok=true;        

      -- return; end;

      if obj_id > 0 and obj_id < 200  then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
      return; end;
  return; end;
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  
      -----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev15.2".." "..sender.."\n")
  if SLevel==1.0 then return;end;
    endlevel=true;
    flags.loc3 = true;
  
  
------------------------------------------------------------------------------------------------------------------  

      
  return; end;
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if idObject==123 then
      selectrandomobject(1.5,12);
  return;end;  
    if flags.loc3 then
      selectrandomobject(1.5,68);
  return;end;  
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
  if idObject==123 then
      selectrandomobject(1.5,12);
  return;end;  

  selectrandomobject(1.5,idObject);
end;
